SELECT PM.ID_PROGRAMMA_MUSICALE AS ID_PROGRAMMA_MUSICALE,
       PM.NUMERO AS NUMERO_PROGRAMMA_MUSICALE,
       PM.TIPO AS TIPO_PM,
       PM.SUPPORTO_PM AS SUPPORTO_PM,
       PM.SUPPORTO_PM AS FOGLIO,
       PM.DATA_ASSEGNAZIONE AS DATA_ASSEGNAZIONE,
       PM.DATA_RESTITUZIONE AS DATA_RESTITUZIONE,
       PM.DATA_COMPILAZIONE AS DATA_COMPILAZIONE,
       PM.STATO AS STATO_PM,
       PM.DATA_ANNULLAMENTO AS DATA_ANNULLAMENTO,
       PM.FOGLIO_SEGUE_DI AS FOGLIO_SEGUE_DI,
       PM.FOGLIO_SEGUE_DI AS PM_RIFERIMENTO,
       PM.CAUSA_ANNULLAMENTO AS CAUSA_ANNULLAMENTO,
       STATO_PM.DESCRIZIONE AS STATO_WEB,
       NVL(( SELECT COUNT (1) FROM PM_QUADRO_D PQD WHERE PQD.ID_PROGRAMMA_MUSICALE=PM.ID_PROGRAMMA_MUSICALE),0) AS TOTALE_CEDOLE,
       NVL((
             SELECT
               SUM(CASE
                   WHEN INSTR (NVL (DURATA_ESECUZIONE, 0), ':') > 0
                     THEN
                       CASE
                       WHEN DECODE (REPLACE (TRANSLATE (NVL (SUBSTR (DURATA_ESECUZIONE,1,INSTR (NVL (DURATA_ESECUZIONE, 0), ':') - 1),'0'),'1234567890','##########'),'#'),NULL, NVL (SUBSTR (DURATA_ESECUZIONE,1,INSTR (NVL (DURATA_ESECUZIONE, 0), ':') - 1),'0'),NULL) IS NOT NULL
                            AND DECODE (REPLACE (TRANSLATE (NVL (SUBSTR (DURATA_ESECUZIONE,INSTR (NVL (DURATA_ESECUZIONE, 0),':')+ 1),0),'1234567890','##########'),'#'),NULL, NVL ( SUBSTR ( DURATA_ESECUZIONE, INSTR (NVL (DURATA_ESECUZIONE, 0),':')+ 1),0),NULL) IS NOT NULL
                         THEN TO_NUMBER (NVL (SUBSTR (DURATA_ESECUZIONE, 1, INSTR (NVL (DURATA_ESECUZIONE, 0), ':') - 1),'0')) * 60 + TO_NUMBER (NVL (SUBSTR (DURATA_ESECUZIONE,INSTR (NVL (DURATA_ESECUZIONE, 0), ':') + 1),'0'))
                       ELSE 0
                       END
                   ELSE
                     CASE
                     WHEN DECODE ( REPLACE (TRANSLATE (DURATA_ESECUZIONE,'1234567890','##########'),'#'),NULL, DURATA_ESECUZIONE, NULL) IS NOT NULL
                       THEN TO_NUMBER (DURATA_ESECUZIONE)
                     ELSE 0
                     END
                   END)
             FROM PM_QUADRO_D PQD WHERE PQD.ID_PROGRAMMA_MUSICALE=PM.ID_PROGRAMMA_MUSICALE
           ),0) AS TOTALE_DURATA_CEDOLE,
       ( SELECT COUNT (1) FROM PROGRAMMA_MUSICALE_EVENTO PME WHERE PME.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE ) AS GIORNATE_TRATTENIMENTO,
       ( SELECT decode(PME.FLAG_GRUPPO_PRINCIPALE,null,0,PME.FLAG_GRUPPO_PRINCIPALE)  FROM PROGRAMMA_MUSICALE_EVENTO PME WHERE PME.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE and ROWNUM <= 1) AS FLAG_GRUPPO_PRINCIPALE,
       PM.DATA_BONIFICA as DATA_BONIFICA      
FROM PROGRAMMA_MUSICALE PM ,PROGRAMMA_MUSICALE_WEB PM_WEB,APMO_STATO_PM STATO_PM
WHERE PM.STATO='V' AND PM.ID_PROGRAMMA_MUSICALE=PM_WEB.ID_PM_WEB
      AND PM.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
      AND STATO_PM.ID_STATO=PM_WEB.ID_STATO
      AND TRUNC(PM.DATA_158,'MONTH') = TO_DATE('{year}-{month}','YYYY-MM')
      
